Subject: Re: cygrunsrv and apache
From: David Means <[email-masked]>
To: [email-masked]
Date: 15 Jan 2003 20:05:11 -0500

Does adding the --nodetach to cygrunsrv (I think that's the correct
spelling ) help?

I had a similar problem with rsyncd and adding it resolved my problem.

On Wed, 2003-01-15 at 18:24, Jonathan Albrecht wrote:

> I've been trying to run apache as a service using cygrunsrv. I haven't 
> changed the httpd.conf and running /usr/sbin/httpd from the command line 
> works fine. Here is what I have done:
> 
>  > cygrunsrv -I apache -d "Cygwin apache" -p /usr/sbin/httpd -a -k -e 
> "CYGWIN=ntsec nosmbntsec binmode tty"
>  
>           > cygrunsrv -S apache 
> 
> cygrunsrv: Error starting a service: QueryServiceStatus:  Win32 error 1062:
> The service has not been started.
> 
> I've tried variations on the spaces and quotes in the command line but 
> nothing has worked. Any ideas?
> 
> Here is my cygcheck -s output:
> 
>  > cygcheck -s
> 
> Cygwin Win95/NT Configuration Diagnostics
> Current System Time: Wed Jan 15 18:17:40 2003
> 

{ snip } 

-- 
David Means

Real programs don't eat cache.